std::chrono::month::ok(3)

NAME
std::chrono::month::ok - std::chrono::month::ok

Synopsis
   constexpr bool ok() const noexcept; (since C++20)
   Checks if the month value stored in *this is in the valid range, i.e., [1, 12].

Return value
   true if the month value stored in *this is in the range [1, 12]. Otherwise false.

Example
// Run this code
 #include <iostream>
 #include <chrono>
 int main()
 {
     for (const unsigned mm : {6u, 0u, 16U}) {
         std::cout << mm << ": ";
         const std::chrono::month m{mm};
         m.ok() ? std::cout << "month is valid\n"
                : std::cout << "month is invalid\n";
     }
 }

Output:
 6: month is valid
 0: month is invalid
 16: month is invalid